#include "Headers.h"
#include "ConnectionEntry.h"

CConnectionEntry::CConnectionEntry()
{
	this->next = NULL;
	this->prev = NULL;
	this->connection = NULL;
	this->entry = 0;
	this->state = FREE;
}

void CConnectionEntry::Free()
{
	this->state = FREE;
	this->connection = NULL;
}

void CConnectionEntry::Alloc()
{
	this->state = ALLOC;
	this->connection = NULL;
}

void CConnectionEntry::Assign(CConnection* connection)
{
	this->state = ASSIGNED;
	this->connection = connection;
}
