#pragma once

class CDataSessionRecord
{
private:
	__uint32	index;

	__uint32	host;
	__uint32	channel;
	bool		multicast;
	bool		playback;

	__time		timeClientStart;
	__time		timeRecvStart;
	__time		timePlayStart;
	__time		timeClientFinish;
	
	__time		delayWait;
	__time		delaySync;

	__uint32	framesRecv;
	__uint32	framesPlay;

	__uint32	framesSuccessI;
	__uint32	framesSuccessP;
	__uint32	framesSuccessB;

	__uint32	framesFailI;
	__uint32	framesFailP;
	__uint32	framesFailB;

public:
	CDataSessionRecord() { }
	~CDataSessionRecord() { }

	void	Set(
		__uint32	client,
		__uint32	channel,
		bool		multicast,
		bool		playback,
		__time		timeClientStart,
		__time		timeRecvStart,
		__time		timePlayStart,
		__time		timeClientFinish,
		__time		delayWait,
		__time		delaySync,
		__uint32	framesRecv,
		__uint32	framesPlay,
		__uint32	framesSuccessI,
		__uint32	framesSuccessP,
		__uint32	framesSuccessB,
		__uint32	framesFailI,
		__uint32	framesFailP,
		__uint32	framesFailB
		);
	void	Index(__uint32 index) { this->index = index; }
	void	Write(FILE* file);
};