#pragma once

#include "SimEvent.h"
#include "HostFlow.h"

class CEventFlowStart : public CSimEvent
{
private:
	CHostFlow*	host;
	__uint8		sender;

public:
	CEventFlowStart(
		CHostFlow*	host,
		__uint8		sender
		);
	virtual ~CEventFlowStart() { }

	virtual void	Process();
	virtual void	Clean() { }
};
