#include "Headers.h"
#include "EventLinkDelay.h"

CEventLinkDelay::CEventLinkDelay(
	CLink*			link,
	__uint32	entry,
	CPacket*		packet
	)
{
	assert(link);
	assert(packet);

	this->link = link;
	this->entry = entry;
	this->packet = packet;
}

void CEventLinkDelay::Process()
{
	this->link->Send(this->entry, this->packet);
}

void CEventLinkDelay::Clean()
{
	this->packet->Delete();
	delete packet;
}

