#pragma once

#include "SimEvent.h"
#include "Link.h"
#include "Packet.h"

class CEventLinkDelay : public CSimEvent
{
private:
	CLink*			link;
	CPacket*		packet;
	__uint32	entry;

public:
	CEventLinkDelay(
		CLink*			link,
		__uint32	entry,
		CPacket*		packet
		);
	virtual ~CEventLinkDelay() { }

	virtual void	Process();
	virtual void	Clean();
};
