#pragma once

#include "SimEvent.h"
#include "TimerBase.h"
#include "TimerInfo.h"

class CEventTimer : public CSimEvent
{
protected:
	CTimerBase*	timer;
	__time		time;
	CTimerInfo* info;

public:
	CEventTimer(
		CTimerBase*	timer,
		__time		time,
		CTimerInfo*	info
		);
	virtual ~CEventTimer() { }

	virtual void		Process();
	virtual void		Clean() { }
	
	inline __time		Time() { return this->time; }
	inline CTimerInfo*	Info() { return this->info; }
};