#pragma once

#include "Node.h"
#include "Data.h"

class CHost : public CNode
{
protected:
	// Layers
	CLayerIgmp*		layerIgmp;

	// Data
	CData*			data;

public:
	CHost(
		__uint32		id,
		CSimHandler*	sim,
		CAddress		address,
		CInfo*			info,
		CData*			data
		);
	virtual ~CHost();

	virtual void			Finalize();
};
