#pragma once

#include "Layer.h"
#include "PacketIp.h"

class CLayerIp : public CLayer
{
private:
	Delegate2<CLayerIp, void, __uint32, CPacket*>*		delegateRecv;
	Event2<void, __uint32, CPacketIp*>*					eventRecv;

	Delegate2<CLayerIp, void, __uint32, CPacketIp*>*	delegateSend;
	Event2<void, __uint32, CPacket*>*					eventSend;

public:
	CLayerIp(CSimHandler* sim);
	virtual ~CLayerIp();

	inline IDelegate2<void, __uint32, CPacket*>*	DelegateRecv() { return this->delegateRecv; }
	inline Event2<void, __uint32, CPacketIp*>*		EventRecv() { return this->eventRecv; }

	inline IDelegate2<void, __uint32, CPacketIp*>*	DelegateSend() { return this->delegateSend; }
	inline Event2<void, __uint32, CPacket*>*		EventSend() { return this->eventSend; }

	virtual void									Finalize() { }

private:
	void											Recv(__uint32 entry, CPacket* packet);
	void											Send(__uint32 entry, CPacketIp* packet);
};