#pragma once

#include "MulticastTree.h"

class CMulticast
{
private:
	__uint32			groups;

	CMulticastTree**	trees;

public:
	CMulticast(__uint32 groups, CTopo* topology, __uint32 source);
	virtual ~CMulticast();

	inline __uint32			Groups() { return this->groups; }
	inline CMulticastTree*	operator[](__uint32 index) { assert(index < this->groups); return this->trees[index]; }
};