#pragma once

#include "SimHandler.h"
#include "Packet.h"

class CObject
{
protected:
	CSimHandler*	sim;

public:
	CObject(
		CSimHandler*	sim
		);
	virtual ~CObject() { }

	virtual	ENetworkCode	Recv(CObject* sender, __uint32 entry, CPacket* packet) = 0;
	virtual void			Finalize() = 0;
};
