#include "Headers.h"
#include "PacketIgmp.h"

CPacketIgmp::CPacketIgmp(
	CAddress		group,
	EPacketIgmpType	type,
	__time			maxResponse
	) : CPacket(PACKET_IGMP_HEADER, NULL, PACKET_TOS_HIGH)
{
	this->group = group;
	this->type = type;
	this->maxResponse = maxResponse;
}

CPacket* CPacketIgmp::Copy()
{
	CPacket* packet = new CPacketIgmp(
		this->group,
		this->type,
		this->maxResponse);
	assert_mem(packet);

	return packet;
}