#include "Headers.h"
#include "PacketIp.h"

CPacketIp::CPacketIp(
	CAddress	src,
	CAddress	dst,
	__byte		ttl,
	CPacket*	payload
	) : CPacket(PACKET_IP_HEADER + (payload?payload->Size():0), payload, payload?payload->Tos():PACKET_TOS_LOW)
{
	this->src = src;
	this->dst = dst;
	this->ttl = ttl;
}

CPacket* CPacketIp::Copy()
{
	CPacket* packet = new CPacketIp(
		this->src,
		this->dst,
		this->ttl,
		this->payload->Copy());
	assert_mem(packet);

	return packet;
}