#include "Headers.h"
#include "PacketPimSmJoinPrune.h"

CPacketPimSmJoinPrune::CPacketPimSmJoinPrune(
	EType		type,
	CAddress	address
	) : CPacketPimSm(
	CPacketPimSm::JOIN_PRUNE,
	PACKET_PIM_SM_JOIN_PRUNE_HEADER,
	NULL,
	CPacket::PACKET_TOS_HIGH)
{
	this->type = type;
	this->address = address;
}

CPacketPimSmJoinPrune::~CPacketPimSmJoinPrune()
{
}

CPacket* CPacketPimSmJoinPrune::Copy()
{
	CPacket* packet = new CPacketPimSmJoinPrune(
		this->type,
		this->address);
	assert_mem(packet);

	return packet;
}
