#pragma once

#include "Packet.h"

class CPacketStream : public CPacket
{
public:
	enum EPacketStreamType
	{
		STREAM_TYPE_FRAME = 0
	};

protected:
	EPacketStreamType	streamType;
	__uint32			stream;

public:
	CPacketStream(
		__uint32			size,
		__uint32			stream,
		EPacketStreamType	streamType
		);
	virtual ~CPacketStream() { }

	virtual inline EPacketType	Type() { return PACKET_TYPE_STREAM; }
	inline __uint32				Stream() { return this->stream; }
	inline EPacketStreamType	StreamType() { return this->streamType; }
};