#include "Platform.h"

#ifdef _LINUX
#include <stdio.h>
#include <termios.h>
#include <unistd.h>
#endif

#ifdef _LINUX

int _getch()
{
    struct termios oldt;
    struct termios newt;
    int ch;

    tcgetattr(STDIN_FILENO, &oldt);

    newt = oldt;
    newt.c_lflag &= ~(ICANON | ECHO);

    tcsetattr(STDIN_FILENO, TCSANOW, &newt);

    ch = getchar();

    tcsetattr(STDIN_FILENO, TCSANOW, &oldt);

    return ch;
}

#endif
