#pragma once
#include "SimEvent.h"
#include "SimModel.h"

class CSimEventList
{
private:
	multimap<__time, CSimEvent*>*	events;

public:
	CSimEventList();
	CSimEventList(CSimModel* model);
	~CSimEventList();

	bool			HasEvents();
	CSimEvent*		GetEvent(__time &time);
	__uint32	Size();

	void			Add(__time time, CSimEvent* evt);
	void			Cancel(__time time, CSimEvent* evt);

	void			Clean();
};
