#pragma once

#include "Address.h"
#include "StreamBootPushEntry.h"

class CStreamBootPush
{
public:
	typedef map<CAddress, CStreamBootEntry> List;

private:
	CAddress	root;
	List		hosts;

public:
	CStreamBootPush(CAddress root) { this->root = root; }
	virtual ~CStreamBootPush() { }

	void			Register(CAddress host, CAddress source);
	void			Deregister(CAddress host);

	bool			IsDependent(CAddress host, CAddress parent);

	inline List*	Fetch() { return &this->hosts; }
};