#pragma once

#include "StreamDecoder.h"

class CStreamDecoderFrame : public CStreamDecoder
{
private:
	IDelegate2<void, CAddress, CStreamFrame>*	delegateRecv;

public:
	CStreamDecoderFrame(
		IDelegate2<void, CAddress, CStreamFrame>*	delegateRecv
		);
	CStreamDecoderFrame(
		__uint32						stream,
		IDelegate2<void, CAddress, CStreamFrame>*	delegateRecv
		);
	virtual ~CStreamDecoderFrame() { }

	virtual EResult		Decode(CAddress address, CPacketStream* packet);	// Decode packet (packet object can be reused after function call)
};