#include "Headers.h"
#include "StreamEncoderFrame.h"
#include "PacketStreamFrame.h"

CStreamEncoderFrame::CStreamEncoderFrame(
	IDelegate2<void, CAddress, CPacketStream*>*	delegateSend
	) : CStreamEncoder(delegateSend)
{
}

void CStreamEncoderFrame::Encode(CAddress address, CStreamFrame frame)
{
	// Encode frame in a packet
	CPacketStreamFrame* packet = new CPacketStreamFrame(frame);
	assert_mem(packet);

	// Send the packet through the delegate
	(*this->delegateSend)(address, packet);
}

