#pragma once

#include "Codes.h"

class CStreamFrame
{
private:
	bool		valid;
	__uint32	stream;
	EFrameType	type;
	__uint32	index;
	char		anchorP;
	char		anchorB;
	__uint32	size;
	__uint32	segment;
	__byte		segmentIndex;
	__byte		segmentSize;

public:
	CStreamFrame() { this->valid = false; }
	CStreamFrame(
		__uint32	stream,
		EFrameType	type,
		__uint32	index,
		char		anchorP,
		char		anchorB,
		__uint32	size,
		__uint32	segment,
		__byte		segmentIndex,
		__byte		segmentSize
		);
	~CStreamFrame() { }

	inline bool			Valid() { return this->valid; }
	inline __uint32		Stream() { return this->stream; }
	inline EFrameType	Type() { return this->type; }
	inline __uint32		Index() { return this->index; }
	inline char			AnchorP() { return this->anchorP; }
	inline char			AnchorB() { return this->anchorB; }
	inline __uint32		Size() { return this->size; }
	inline __uint32		Segment() { return this->segment; }
	inline __byte		SegmentIndex() { return this->segmentIndex; }
	inline __byte		SegmentSize() { return this->segmentSize; }
};

