#pragma once

#include "StreamMessage.h"
#include "Address.h"

class CStreamMessageBootPushMultiDeregister : public CStreamMessage
{
private:
	CAddress		address;
	__uint32	layer;

public:
	CStreamMessageBootPushMultiDeregister(
		__uint32	stream,
		__uint32	layer,
		CAddress		address
		);
	virtual ~CStreamMessageBootPushMultiDeregister() { }

	inline __uint32	Layer() { return this->layer; }
	inline CAddress		Address() { return this->address; }
	
	virtual CPacket*	Copy();
};