#include "Headers.h"
#include "StreamMessageBootPushMultiRegister.h"

CStreamMessageBootPushMultiRegister::CStreamMessageBootPushMultiRegister(
	__uint32	stream,
	__uint32	layer,
	CAddress	address,
	CAddress	sender
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PUSH_MULTI_REGISTER, 64, stream)
{
	this->layer = layer;
	this->address = address;
	this->sender = sender;
}

CPacket* CStreamMessageBootPushMultiRegister::Copy()
{
	CPacket* packet = new CStreamMessageBootPushMultiRegister(
		this->stream,
		this->layer,
		this->address,
		this->sender
		);
	assert_mem(packet);

	return packet;
}
