#pragma once

#include "StreamMessage.h"
#include "Address.h"

class CStreamMessageBootPushMultiRegister : public CStreamMessage
{
private:
	CAddress	address;
	CAddress	sender;
	__uint32	layer;

public:
	CStreamMessageBootPushMultiRegister(
		__uint32	stream,
		__uint32	layer,
		CAddress	address,
		CAddress	sender
		);
	virtual ~CStreamMessageBootPushMultiRegister() { }
	
	inline __uint32	Layer() { return this->layer; }
	inline CAddress	Address() { return this->address; }
	inline CAddress	Sender() { return this->sender; }
	
	virtual CPacket*	Copy();
};