#include "Headers.h"
#include "StreamMessageBootPushRegister.h"

CStreamMessageBootPushRegister::CStreamMessageBootPushRegister(
	__uint32	stream,
	CAddress	address,
	CAddress	sender
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PUSH_REGISTER, 64, stream)
{
	this->address = address;
	this->sender = sender;
}

CPacket* CStreamMessageBootPushRegister::Copy()
{
	CPacket* packet = new CStreamMessageBootPushRegister(this->stream, this->address, this->sender);
	assert_mem(packet);

	return packet;
}