#pragma once

#include "StreamMessage.h"
#include "Address.h"

class CStreamMessageBootPushRegister : public CStreamMessage
{
private:
	CAddress	address;
	CAddress	sender;

public:
	CStreamMessageBootPushRegister(
		__uint32	stream,
		CAddress	address,
		CAddress	sender
		);
	virtual ~CStreamMessageBootPushRegister() { }

	inline CAddress		Address() { return this->address; }
	inline CAddress		Sender() { return this->sender; }
	
	virtual CPacket*	Copy();
};