#pragma once

#include "StreamMessagePull.h"

class CStreamMessagePullBitmapRequest : public CStreamMessagePull
{
private:
	__uint32	first;
	__uint8		count;
public:
	CStreamMessagePullBitmapRequest(
		__uint32	stream,
		EConnection	connection,
		__uint32	connectionId,
		__uint32	connectionIdEntry,
		__uint32	first,
		__uint8		count
		);
	virtual ~CStreamMessagePullBitmapRequest() { }

	virtual CPacket*	Copy();

	inline __uint32		First() { return this->first; }
	inline __uint8		Count() { return this->count; }
};