#include "Headers.h"
#include "StreamMessagePullSegmentResponse.h"

CStreamMessagePullSegmentResponse::CStreamMessagePullSegmentResponse(
	__uint32	stream,
	__uint32	srcId,
	__uint32	srcIdEntry,
	__uint32	dstId,
	__uint32	dstIdEntry,
	__uint32	first,
	__uint8		count,
	__uint64	success,
	__uint64	fail
	) : CStreamMessage(STREAM_MESSAGE_PULL_SEGMENT_RESPONSE, 296, stream)
{
	this->srcId = srcId;
	this->srcIdEntry = srcIdEntry;
	this->dstId = dstId;
	this->dstIdEntry = dstIdEntry;

	this->first = first;
	this->count = count;
	this->success = success;
	this->fail = fail;
}

CPacket* CStreamMessagePullSegmentResponse::Copy()
{
	CStreamMessagePullSegmentResponse* packet = new CStreamMessagePullSegmentResponse(
		this->stream,
		this->srcId,
		this->srcIdEntry,
		this->dstId,
		this->dstIdEntry,
		this->first,
		this->count,
		this->success,
		this->fail
		);
	assert_mem(packet);

	return packet;
}