#pragma once

#include "TopoNode.h"

class CTopoBriteNode : public CTopoNode
{
private:
	__uint32					id;
	__uint32					xpos;
	__uint32					ypos;
	__uint32					degree;

	__uint32*					edges;
	__uint32					edgeSet;

public:
	CTopoBriteNode(
		__uint32	id,
		__uint32	xpos,
		__uint32	ypos,
		__uint32	degree
		);
	~CTopoBriteNode();

	inline __uint32	Id() { return this->id; }
	inline __uint32	XPos() { return this->xpos; }
	inline __uint32	YPos() { return this->ypos; }
	inline __uint32	Degree() { return this->degree; }
	inline __uint32	Edge(__uint32 index) { return this->edges[index]; }
	void				SetEdge(__uint32 edge);
};
