#pragma once

#define CDF_POINTS 1148

extern unsigned __int16	channelCdfIndex[0x20000];
extern __uint32		channelCdf[CDF_POINTS][2];

class CWorkload
{
protected:
	__uint32	numChannels;
public:
	CWorkload(
		__uint32	numChannels
		);
	virtual ~CWorkload() {}

	inline __uint32	NumChannels() { return this->numChannels; }

	virtual void		GenerateUptime(__uint32 &newCh, __time &duration) = 0;
	virtual void		GenerateUptime(__uint32 oldCh, __time oldDuration, __uint32 &newCh, __time &duration) = 0;
	static __time		GenerateUptime(__uint32 &dindex);
};
