#pragma once

#include "Workload.h"

class CWorkloadFlat3Cat : public CWorkload
{
private:
	__uint32	numPopular1;
	__uint32	numPopular2;
	__uint32	probPopular1;
	__uint32	probPopular2;

public:
	CWorkloadFlat3Cat(
		__uint32	numChannels,
		__uint32	numPopular1,
		__uint32	numPopular2,
		double			probPopular1,
		double			probPopular2
		);
	~CWorkloadFlat3Cat() {}

	virtual void	GenerateUptime(__uint32 &newCh, __time &duration);
	virtual void	GenerateUptime(__uint32 oldCh, __time oldDuration, __uint32 &newCh, __time &duration);
};
