#include "Headers.h"
#include "Address.h"

CAddress::CAddress()
{
	this->address = ADDRESS_INVALID;
}

CAddress::CAddress(__uint32 address)
{
	this->address = address;
}

CAddress::CAddress(__byte b0, __byte b1, __byte b2, __byte b3)
{
	this->address =
		(((__uint32)b0) << 24) |
		(((__uint32)b1) << 16) |
		(((__uint32)b2) << 8) |
		((__uint32)b3);
}