#pragma once

#include "Address.h"

class CChannel
{
public:
	enum EType
	{
		CHANNEL_MULTICAST = 0,
		CHANNEL_UNICAST = 1
	};

protected:
	__uint32	id;
	EType		type;
	CAddress	address;
	__bitrate	bw;
	__byte		fps;

public:
	CChannel() { }
	CChannel(
		__uint32	id,
		EType		type,
		CAddress	address,
		__bitrate	bw,
		__byte		fps
		);
	virtual ~CChannel() { }

	inline __uint32		Id() { return this->id; }
	inline EType		Type() { return this->type; }
	inline CAddress		Address() { return this->address; }
	inline __bitrate	Bw() { return this->bw; }
	inline __byte		Fps() { return this->fps; }
};
