#include "Headers.h"
#include "DataSessionRecord.h"

void CDataSessionRecord::Set(
	__uint32	host,
	__uint32	channel,
	bool		multicast,
	bool		playback,
	__time		timeClientStart,
	__time		timeRecvStart,
	__time		timePlayStart,
	__time		timeClientFinish,
	__time		delayWait,
	__time		delaySync,
	__uint32	framesRecv,
	__uint32	framesPlay,
	__uint32	framesSuccessI,
	__uint32	framesSuccessP,
	__uint32	framesSuccessB,
	__uint32	framesFailI,
	__uint32	framesFailP,
	__uint32	framesFailB
	)
{
	this->host = host;
	this->channel = channel;
	this->multicast = multicast;
	this->playback = playback;

	this->timeClientStart = timeClientStart;
	this->timeRecvStart = timeRecvStart;
	this->timePlayStart = timePlayStart;
	this->timeClientFinish = timeClientFinish;
	
	this->delayWait = delayWait;
	this->delaySync = delaySync;

	this->framesRecv = framesRecv;
	this->framesPlay = framesPlay;
	
	this->framesSuccessI = framesSuccessI;
	this->framesSuccessP = framesSuccessP;
	this->framesSuccessB = framesSuccessB;

	this->framesFailI = framesFailI;
	this->framesFailP = framesFailP;
	this->framesFailB = framesFailB;
}

void CDataSessionRecord::Write(FILE* file)
{
	fprintf(file, "%u %u %u %u %u %.9lf %.9lf %.9lf %.9lf %.9lf %.9lf %u %u %u %u %u %u %u %u\n",
		this->index,				// 1
		this->host,					// 2
		this->channel,				// 3
		this->multicast,			// 4
		this->playback,				// 5
		this->timeClientStart,		// 6
		this->timeRecvStart,		// 7
		this->timePlayStart,		// 8
		this->timeClientFinish,		// 9
		this->delayWait,			// 10
		this->delaySync,			// 11
		this->framesRecv,			// 12
		this->framesPlay,			// 13
		this->framesSuccessI,		// 14
		this->framesSuccessP,		// 15
		this->framesSuccessB,		// 16
		this->framesFailI,			// 17
		this->framesFailP,			// 18
		this->framesFailB			// 19
		);
}
