#include "Headers.h"
#include "EventClientWatch.h"

CEventClientWatch::CEventClientWatch(
	CHostClient*	host,
	CChannel*		channel,
	__time			duration
	)
{
	assert(host);
	assert(channel);
	this->host = host;
	this->channel = channel;
	this->duration = duration;
}

void CEventClientWatch::Process()
{
	this->host->EventWatch(this->channel, this->duration);
}
