#pragma once

#include "SimEvent.h"
#include "HostClient.h"
#include "Channel.h"

class CEventClientWatch : public CSimEvent
{
private:
	CHostClient*	host;
	CChannel*		channel;
	__time			duration;

public:
	CEventClientWatch(
		CHostClient*	host,
		CChannel*		channel,
		__time			duration
		);
	virtual ~CEventClientWatch() { }

	virtual void	Process();
	virtual void	Clean() { }
};
