#pragma once

#include "SimEvent.h"
#include "HostFlow.h"
#include "Address.h"

class CEventFlowConnect : public CSimEvent
{
private:
	CHostFlow*	host;
	CAddress	dst;

public:
	CEventFlowConnect(
		CHostFlow*	host,
		CAddress	dst
		);
	virtual ~CEventFlowConnect() { }

	virtual void	Process();
	virtual void	Clean() { }
};
