#pragma once

#include "SimEvent.h"
#include "HostFlow.h"

class CEventFlowDisconnectSender : public CSimEvent
{
private:
	CHostFlow*	host;
	__uint8		sender;

public:
	CEventFlowDisconnectSender(
		CHostFlow*	host,
		__uint8		sender
		);
	virtual ~CEventFlowDisconnectSender() { }

	virtual void	Process();
	virtual void	Clean() { }
};
