#include "Headers.h"
#include "EventLinkQueue.h"

CEventLinkQueue::CEventLinkQueue(
	CLink*		link,
	__uint32	entry,
	CPacket*	packet
	)
{
	assert(link);
	assert(packet);

	this->link = link;
	this->entry = entry;
	this->packet = packet;
}

void CEventLinkQueue::Process()
{
	this->link->Delay(this->entry, this->packet);
}

void CEventLinkQueue::Clean()
{
	this->packet->Delete();
	delete packet;
}
