#pragma once

#include "SimEvent.h"
#include "Link.h"
#include "Packet.h"

class CEventLinkQueue : public CSimEvent
{
private:
	CLink*		link;
	CPacket*	packet;
	__uint32	entry;

public:
	CEventLinkQueue(
		CLink*			link,
		__uint32	entry,
		CPacket*		packet
		);
	virtual ~CEventLinkQueue() { }

	virtual void	Process();
	virtual void	Clean();
};
