#pragma once

#include "Info.h"

class CInfoPush : public CInfo
{
public:
	CInfoPush() { }
	virtual ~CInfoPush() { }

	virtual __uint32		NumChannels() = 0;
	virtual __uint32		NumChannelsMulticast() = 0;
	virtual __uint32		NumChannelsUnicast() = 0;

	virtual __uint32		IndexGlobalToMulticast(__uint32 index) = 0;
	virtual __uint32		IndexGlobalToUnicast(__uint32 index) = 0;
	virtual __uint32		IndexMulticastToGlobal(__uint32 index) = 0;
	virtual __uint32		IndexUnicastToGlobal(__uint32 index) = 0;

	virtual CStreamSource*	StreamSource(__uint32 index) = 0;

	virtual __uint32		StreamBufferSize() = 0;
	virtual __uint32		StreamBufferSizeHistory() = 0;
	virtual __uint32		StreamBufferSizeBuffering() = 0;
	virtual __time			StreamBufferUnderrunTimeout() = 0;
	virtual	double			StreamBwMargin() = 0;

	virtual __uint32		BootQueryMax() = 0;
	virtual __uint32		BootRefreshThreshold() = 0;
	virtual __time			BootQueryTimeout() = 0;
	virtual __time			BootRegisterDelay() = 0;

	virtual __uint16		PortControl() = 0;
	virtual __uint16		PortStream() = 0;
};
