#pragma once

#include "SimModel.h"
#include "Topo.h"
#include "Workload.h"

class CModel : public CSimModel
{
protected:
	__time			maxTime;
	CTopo*			topology;

public:
	CModel(
		__time		maxTime,
		CTopo*		topology
		);
	virtual ~CModel() { }

	virtual inline __time	MaxTime() { return this->maxTime; }
	virtual void			Run(CSimEvent* evt);
};