#pragma once

#include "PacketConnection.h"
#include "StreamFrame.h"

class CPacketConnectionData : public CPacketConnection
{
private:
	// Flow
	__uint32		sequence;
	__time			rtt;

public:
	CPacketConnectionData(
		__uint32		flow,
		__uint32		src,
		__uint32		dst,
		__uint32		srcEntry,
		__uint32		dstEntry,
		CPacket*		payload,
		__uint32		sequence,
		__time			timeTx,
		__time			rtt
		);
	virtual ~CPacketConnectionData() { }

	inline __uint32		Sequence() { return this->sequence; }
	inline __time		Rtt() { return this->rtt; }
	
	virtual CPacket*	Copy();
};