#include "Headers.h"
#include "PacketConnectionMessage.h"

CPacketConnectionMessage::CPacketConnectionMessage(
	__uint32	flow,
	__uint32	src,
	__uint32	srcEntry,
	__time		timeTx
	) : CPacketConnection(136, CPacketConnection::MESSAGE, flow, src, PACKET_INVALID_CONNECTION, srcEntry, PACKET_INVALID_CONNECTION_ENTRY, CPacket::PACKET_TOS_HIGH, timeTx)
{
	this->typeMessage = OPEN;
}

CPacketConnectionMessage::CPacketConnectionMessage(
	__uint32		flow,
	__uint32		src,
	__uint32		dst,
	__uint32		srcEntry,
	__uint32		dstEntry,
	ETypeMessage	type,
	__time			timeTx,
	__time			timeRx
	) : CPacketConnection(136, CPacketConnection::MESSAGE, flow, src, dst, srcEntry, dstEntry, CPacket::PACKET_TOS_HIGH, timeTx, timeRx)
{
	this->typeMessage = type;
}

CPacket* CPacketConnectionMessage::Copy()
{
	CPacketConnectionMessage* packet = new CPacketConnectionMessage(
		this->flow,
		this->src,
		this->dst,
		this->srcEntry,
		this->dstEntry,
		this->typeMessage,
		this->timeTx,
		this->timeRx);
	assert_mem(packet);

	return packet;
}
