#pragma once

#include "Packet.h"

#define PACKET_PIM_SM_HEADER	32

class CPacketPimSm : public CPacket
{
public:
	enum EPacketPimSmType
	{
		HELLO = 0,
		REGISTER = 1,
		REGISTER_STOP = 2,
		JOIN_PRUNE = 3,
		BOOTSTRAP = 4,
		ASSERT = 5
	};

protected:
	EPacketPimSmType	type;

public:
	CPacketPimSm(
		EPacketPimSmType	type,
		__uint32		size,
		CPacket*			payload,
		ETypeOfService		tos
		);
	virtual ~CPacketPimSm() { }

	inline EPacketPimSmType			PimSmType() { return this->type; }
	virtual inline EPacketType		Type() { return PACKET_TYPE_PIM_SM; }
};
