#pragma once

#include "PacketPimSm.h"
#include "Address.h"

#define PACKET_PIM_SM_JOIN_PRUNE_HEADER	128

class CPacketPimSmJoinPrune : public CPacketPimSm
{
public:
	enum EType
	{
		JOIN = 0,
		PRUNE = 1
	};
protected:
	EType			type;
	CAddress		address;

public:
	CPacketPimSmJoinPrune(
		EType			type,
		CAddress		address
		);
	virtual ~CPacketPimSmJoinPrune();

	virtual CPacket*		Copy();

	inline EType			JoinPruneType() { return this->type; }
	inline CAddress			Address() { return this->address; }
};
