#include "Headers.h"
#include "PacketUdp.h"

CPacketUdp::CPacketUdp(
	__uint16	src,
	__uint16	dst,
	CPacket*	payload
	) : CPacket(PACKET_UDP_HEADER + (payload?payload->Size():0), payload, payload?payload->Tos():PACKET_TOS_LOW)
{
	this->src = src;
	this->dst = dst;
}

CPacket* CPacketUdp::Copy()
{
	CPacket* packet = new CPacketUdp(
		this->src,
		this->dst,
		this->payload->Copy());
	assert_mem(packet);

	return packet;
}