#pragma once

#include "Packet.h"

#define PACKET_UDP_HEADER	64

class CPacketUdp : public CPacket
{
protected:
	__uint16	src;
	__uint16	dst;
	
public:
	CPacketUdp(
		__uint16	src,
		__uint16	dst,
		CPacket*	payload
		);
	virtual ~CPacketUdp() { }

	inline __uint16				Src() { return this->src; }
	inline __uint16				Dst() { return this->dst; }

	virtual inline EPacketType	Type() { return PACKET_TYPE_UDP; }
	virtual CPacket*			Copy();
};