#include "Headers.h"
#include "SimCalls.h"

void CSimCalls::Add(ICall* call)
{
	this->calls.push(call);
}

void CSimCalls::Execute()
{
	while(!this->calls.empty())
	{
		ICall* call = this->calls.front();

		(*call)();

		delete call;

		this->calls.pop();
	}
}

void CSimCalls::Clean()
{
	while(!this->calls.empty())
	{
		delete this->calls.front();
		this->calls.pop();
	}
}
