#pragma once
#include "SimEvent.h"
#include "SimHandler.h"

class CSimModel
{
public:
	virtual __time			MaxTime() = 0;
	virtual __uint32		Events() = 0;
	virtual CSimEvent*		Event(__uint32 index, __time& time) = 0;
	virtual void			Run(CSimEvent* evt) = 0;
	virtual void			Init(CSimHandler* handler) = 0;
	virtual void			Finalize() = 0;
};
