#pragma once

#include "StreamSegment.h"
#include "PacketStream.h"
#include "Address.h"

class CStreamDecoder
{
public:
	enum EResult
	{
		SUCCESS = 0,
		FAIL_PACKET_TYPE = 1,
		FAIL_STREAM = 2
	};

protected:
	// Stream
	__uint32	stream;

public:
	CStreamDecoder();
	CStreamDecoder(__uint32 stream);
	virtual ~CStreamDecoder() { }

	void				Reset(__uint32 stream);
	virtual EResult		Decode(CAddress address, CPacketStream* packet) = 0;
};