#include "Headers.h"
#include "StreamMessageBootPullRegister.h"

CStreamMessageBootPullRegister::CStreamMessageBootPullRegister(
	__uint32	stream,
	CAddress	address
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PULL_REGISTER, 32, stream)
{
	this->address = address;
}

CPacket* CStreamMessageBootPullRegister::Copy()
{
	CPacket* packet = new CStreamMessageBootPullRegister(this->stream, this->address);
	assert_mem(packet);

	return packet;
}