#include "Headers.h"
#include "StreamMessageBootPullRequest.h"

CStreamMessageBootPullRequest::CStreamMessageBootPullRequest(
	__uint32	stream,
	__uint32	count
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PULL_REQUEST, 32, stream)
{
	this->count = count;
}

CPacket* CStreamMessageBootPullRequest::Copy()
{
	CPacket* packet = new CStreamMessageBootPullRequest(this->stream, this->count);
	assert_mem(packet);

	return packet;
}