#pragma once

#include "StreamMessage.h"
#include "Address.h"

class CStreamMessageBootPullResponse : public CStreamMessage
{
private:
	__uint32	count;
	CAddress	hosts[BOOT_MAX_HOSTS];

public:
	CStreamMessageBootPullResponse(
		__uint32	stream,
		__uint32	count
		);
	virtual ~CStreamMessageBootPullResponse();

	inline __uint32		Count() { return this->count; }
	inline CAddress		Host(__uint32 index) { assert(index < this->count); return this->hosts[index]; }
	inline void			Host(__uint32 index, CAddress address) { assert(index < this->count); this->hosts[index] = address; }

	virtual CPacket*	Copy();
};