#include "Headers.h"
#include "StreamMessageBootPushDeregister.h"

CStreamMessageBootPushDeregister::CStreamMessageBootPushDeregister(
	__uint32	stream,
	CAddress		address
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PUSH_DEREGISTER, 32, stream)
{
	this->address = address;
}

CPacket* CStreamMessageBootPushDeregister::Copy()
{
	CPacket* packet = new CStreamMessageBootPushDeregister(this->stream, this->address);
	assert_mem(packet);

	return packet;
}