#include "Headers.h"
#include "StreamMessageBootPushMultiDeregister.h"

CStreamMessageBootPushMultiDeregister::CStreamMessageBootPushMultiDeregister(
	__uint32	stream,
	__uint32	layer,
	CAddress		address
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PUSH_MULTI_DEREGISTER, 64, stream)
{
	this->layer = layer;
	this->address = address;
}

CPacket* CStreamMessageBootPushMultiDeregister::Copy()
{
	CPacket* packet = new CStreamMessageBootPushMultiDeregister(
		this->stream,
		this->layer,
		this->address
		);
	assert_mem(packet);

	return packet;
}
