#pragma once

#include "StreamMessage.h"

class CStreamMessageBootPushMultiRequest : public CStreamMessage
{
public:
	enum ERequestType
	{
		STREAM = 0,
		LAYER = 1
	};

private:
	__uint32		count;
	ERequestType	type;
	__uint32		layer;

public:
	CStreamMessageBootPushMultiRequest(
		__uint32	stream,
		__uint32	count
		);
	CStreamMessageBootPushMultiRequest(
		__uint32	stream,
		__uint32	layer,
		__uint32	count
		);
	virtual ~CStreamMessageBootPushMultiRequest() { }

	inline __uint32		Count() { return this->count; }
	inline ERequestType	RequestType() { return this->type; }
	inline __uint32		Layer() { return this->layer; }
	
	virtual CPacket*	Copy();
};