#include "Headers.h"
#include "StreamMessageBootPushRequest.h"

CStreamMessageBootPushRequest::CStreamMessageBootPushRequest(
	__uint32	stream,
	__uint32	count
	) : CStreamMessage(CStreamMessage::STREAM_MESSAGE_BOOT_PUSH_REQUEST, 32, stream)
{
	this->count = count;
}

CPacket* CStreamMessageBootPushRequest::Copy()
{
	CPacket* packet = new CStreamMessageBootPushRequest(this->stream, this->count);
	assert_mem(packet);

	return packet;
}