#pragma once

#include "StreamMessage.h"
#include "Address.h"

class CStreamMessageBootPushResponse : public CStreamMessage
{
private:
	__uint32	count;
	CAddress	hosts[BOOT_MAX_HOSTS];

public:
	CStreamMessageBootPushResponse(
		__uint32	stream,
		__uint32	count
		);
	virtual ~CStreamMessageBootPushResponse();

	inline __uint32		Count() { return this->count; }
	inline CAddress&	Host(__uint32 index) { assert(index < this->count); return this->hosts[index]; }

	virtual CPacket*	Copy();
};