#pragma once

#include "StreamMessage.h"

class CStreamMessagePull : public CStreamMessage
{
public:
	enum EConnection
	{
		CONNECTION_NO = 0,
		CONNECTION_YES = 1
	};

protected:
	EConnection	connection;
	__uint32	connectionId;
	__uint32	connectionIdEntry;

public:
	CStreamMessagePull(
		EMessageType	messageType,
		__uint32		size,
		__uint32		stream,
		EConnection		connection,
		__uint32		connectionId,
		__uint32		connectionIdEntry
		);
	virtual ~CStreamMessagePull() { }

	inline EConnection	Connection() { return this->connection; }
	inline __uint32		ConnectionId() { return this->connectionId; }
	inline __uint32		ConnectionIdEntry() { return this->connectionIdEntry; }
};
