#include "Headers.h"
#include "StreamMessagePullBitmapRequest.h"

CStreamMessagePullBitmapRequest::CStreamMessagePullBitmapRequest(
	__uint32	stream,
	EConnection	connection,
	__uint32	connectionId,
	__uint32	connectionIdEntry,
	__uint32	first,
	__uint8		count
	) : CStreamMessagePull(STREAM_MESSAGE_PULL_BITMAP_REQUEST, 40, stream, connection, connectionId, connectionIdEntry)
{
	this->first = first;
	this->count = count;
}

CPacket* CStreamMessagePullBitmapRequest::Copy()
{
	CStreamMessagePullBitmapRequest* packet = new CStreamMessagePullBitmapRequest(
		this->stream,
		this->connection,
		this->connectionId,
		this->connectionIdEntry,
		this->first,
		this->count
		);
	assert_mem(packet);

	return packet;
}
