#pragma once

#include "Channel.h"
#include "StreamFrame.h"

class CStreamSource
{
protected:
	CChannel*	channel;

public:
	CStreamSource(CChannel* channel);
	virtual ~CStreamSource() { }

	inline CChannel*		Channel() { return this->channel; }
	void					Synchronize(__time currentTime, __time& scheduleTime, __uint32& frame);
	__uint32				Synchronize(__time time);

	virtual CStreamFrame	Fetch(__uint32 index) = 0;
	virtual EFrameType		FrameType(__uint32 index) = 0;

	__time					FrameTime(__uint32 index);
};