#pragma once

#include "TopoNode.h"
#include "TopoEdge.h"
#include "TopoRoute.h"

class CTopo
{
public:
	CTopo() { }
	virtual ~CTopo() { }

	virtual __uint32	Nodes() = 0;
	virtual CTopoNode*	Node(__uint32 index) = 0;

	virtual __uint32	Edges() = 0;
	virtual CTopoEdge*	Edge(__uint32 index) = 0;

	virtual CTopoRoute*	Route() = 0;
};
