#include "Headers.h"
#include "TopoBriteEdge.h"

CTopoBriteEdge::CTopoBriteEdge(
	__uint32	id,
	__uint32	node1,
	__uint32	node2,
	double			length,
	double			delay,
	__bitrate		bandwidth
	)
{
	this->id = id;
	this->nodes[0] = node1;
	this->nodes[1] = node2;
	this->length = length;
	this->delay = delay;
	this->bandwidth = bandwidth;
}

CTopoBriteEdge::~CTopoBriteEdge()
{
}

double CTopoBriteEdge::Cost()
{
	return 100000000.0 / this->bandwidth;
}

__uint32 CTopoBriteEdge::OtherNode(__uint32 node)
{
	assert((this->nodes[0] == node) || (this->nodes[1] == node));

	return (this->nodes[0] == node)?this->nodes[1]:this->nodes[0];
}
