#pragma once

#include "TopoEdge.h"

class CTopoBriteEdge : public CTopoEdge 
{
private:
	__uint32				id;
	__uint32				nodes[2];
	double						length;
	double						delay;
	__bitrate					bandwidth;

public:
	CTopoBriteEdge(
		__uint32	id,
		__uint32	node1,
		__uint32	node2,
		double			length,
		double			delay,
		__bitrate		bandwidth
		);
	~CTopoBriteEdge();

	inline __uint32		Id() { return this->id; }
	inline __uint32*	Nodes() { return this->nodes; }
	inline double			Length() { return this->length; }
	inline double			Delay() { return this->delay; }
	inline __bitrate		Bandwidth() { return this->bandwidth; }
	double					Cost();
	__uint32			OtherNode(__uint32 node);
};
